r.mask(1)

NAME
r.mask - Create a MASK for limiting raster operation

KEYWORDS
raster, mask

SYNOPSIS
r.mask
r.mask help
r.mask [-or] input=string [maskcats=string]

  Flags:

-o  Overwrite existing MASK

-r  Remove existing MASK (overrides other options)

  Parameters:

input=string
    Raster map to use as MASK

maskcats=string
    Category values to use for MASK (format: 1 2 3 thru 7 *) Default: *

DESCRIPTION
r.mask - Facilitates creation of a raster "MASK" map to control raster operations. r.mask uses r.reclass to create a reclassification of an existing raster map and name it MASK. The user can select cat values to use in the MASK.
As long as the file named MASK exists in the current mapset, most raster operations will only take place in the grid cells specified by the MASK. To restore raster operations to normal (i.e., all cells of the current region), remove the MASK file by setting the remove MASK flag (-r). A MASK also can be removed by using g.remove or by rename it to any other name with g.rename.

(GRASS Shell Script)

SEE ALSO
r.reclass

AUTHOR
Michael Barton, Arizona State University

Last changed: $Date: 2007/03/08 13:51:30 $